assess_normality <- function( data_list )
{
  n <- length( data_list )
  sorted_data <- sort( data_list )
  q <- 2*n
  p <- seq(1, q-1, 2 )
  L2 <- p/q
  L3 <- qnorm(L2)
  plot( sorted_data, L3, 
        ylab="z values"
      )
}