# Roger Palay copyright 2021-06-09
# Saline, MI 48176
#
# in the find_percentile function:
#    items   is a list of the items 
#    goal  is a is a value where we want to find the
#          percentile of that value in the list

find_percentile <- function( items,goal) 
                    
{ length_of_list <- length( items )
  if ( length_of_list == 0 )
  { return("Cannot find percentile for empty list")}
  length_less_than <- length( items[items<goal]) 
  length_less_or_equal <- length( items[ items<=goal])
  p_lt <- 100*length_less_than/length_of_list
  p_le <- 100*length_less_or_equal/length_of_list
  p_mean <- (p_lt+p_le)/2
  cat("Percentage <  ",goal," is ",p_lt,"%\n")
  cat("Percentage <= ",goal," is ",p_le,"%\n")
  cat("     average is ",p_mean,"%\n")  
  return_list <- c(p_lt,p_le,p_mean)
  names( return_list ) <- c("less than","less than or equal",
                            "average")
  return( return_list)
  
  
  cat()
}  