# Roger Palay copyright 2016-02-08
# Saline, MI 48176
#
pprop <- function( phat, p, n, lower.tail=TRUE)
{
  if(p*n < 10) {return("n*p < 10, will not compute this")}
  if(n*(1-p) < 10) 
  {return("n*(1-p)<10, will not compute this")}
  psd <- sqrt( p*(1-p)/n)
  prob <- pnorm(phat, p, psd, lower.tail)
  return( prob )
}